Page MenuHomePhabricator

fix out-of-tree clang build due to sysexits change
ClosedPublic

Authored by airlied on Sep 28 2020, 10:02 PM.

Details

Reviewers
Kai
Summary

The sysexists change broke clang building out of tree against llvm.

Diff Detail

Unit TestsFailed

TimeTest
960 mslinux > Clang.Headers::nvptx_device_math_complex.cpp
Script: -- : 'RUN: at line 2'; /mnt/disks/ssd0/agent/llvm-project/build/bin/clang -cc1 -internal-isystem /mnt/disks/ssd0/agent/llvm-project/build/lib/clang/12.0.0/include -nostdsysteminc -verify -internal-isystem /mnt/disks/ssd0/agent/llvm-project/clang/test/Headers/Inputs/include -fopenmp -x c++ -triple powerpc64le-unknown-unknown -fopenmp-targets=nvptx64-nvidia-cuda -emit-llvm-bc /mnt/disks/ssd0/agent/llvm-project/clang/test/Headers/nvptx_device_math_complex.cpp -o /mnt/disks/ssd0/agent/llvm-project/build/tools/clang/test/Headers/Output/nvptx_device_math_complex.cpp.tmp-ppc-host.bc

Event Timeline

airlied created this revision.Sep 28 2020, 10:02 PM
airlied requested review of this revision.Sep 28 2020, 10:02 PM
Kai accepted this revision.Oct 2 2020, 9:28 AM

LGTM. Sorry for causing the build break.

This revision is now accepted and ready to land.Oct 2 2020, 9:28 AM

I don't have commit access, can someone please push this.

arsenm closed this revision.Oct 6 2020, 3:24 PM